=== debian/changelog ===
weechat-matrix (0.2.0-2) unstable; urgency=low

  * Rebuild for source-only upload

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Oct 2020 14:25:56 +0200

weechat-matrix (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #968068)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Oct 2020 14:25:06 +0200
