=== debian/control ===
Source: weechat-matrix
Section: python
Priority: optional
Maintainer: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-hypothesis,
               python3-matrix-nio,
               python3-pygments,
               python3-pytest,
               python3-setuptools,
               python3-webcolors
Standards-Version: 4.5.0
Homepage: https://github.com/poljar/weechat-matrix
Vcs-Browser: https://salsa.debian.org/debian/weechat-matrix
Vcs-Git: https://salsa.debian.org/debian/weechat-matrix.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: weechat-matrix
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-openssl,
         python3-webcolors,
         python3-future,
         python3-atomicwrites,
         python3-logbook,
         python3-pygments,
         python3-matrix-nio,
         python3-aiohttp,
         python3-magic,
         python3-requests,
         weechat
Description: matrix plugin for weechat
 A Python plugin for Weechat that allows weechat to communicate
 over the Matrix protocol. Currently supports large parts of the
 Matrix protocol, but end-to-end encryption is still
 experimental.
 .
 Weechat is a fast and light chat client for many operating
 systems. Everything can be done with a keyboard
