=== debian/rules ===
#!/usr/bin/make -f
DESTDIR = $(CURDIR)/debian/tmp
WEECHAT_HOME = /usr/lib/$(DEB_HOST_MULTIARCH)/weechat/plugins

%:
	dh $@ --with python3

override_dh_auto_build:
	true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest
endif

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install DESTDIR=$(DESTDIR) WEECHAT_HOME=$(WEECHAT_HOME)
