=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%weechat-matrix-$1.tar.gz%" \
   https://github.com/poljar/weechat-matrix/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
