=== debian/changelog ===
weechat-matrix (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch for Python 3.10 (Closes: #1008836)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Apr 2022 11:51:32 +0200

weechat-matrix (0.3.0-3) unstable; urgency=medium

  * Fix NEWS entry version to actually show

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 24 Nov 2021 14:20:25 +0200

weechat-matrix (0.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop unused d/salsa-ci.yml
  * Update d/watch
  * Bump policy version (no changes)
  * Install contrib files
  * Install to /usr/share/weechat/python

  [ Kyle Robbertze ]
  * Add autopkgtest for upstream unit tests

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Nov 2021 14:14:58 +0200

weechat-matrix (0.3.0-1) unstable; urgency=medium

  * Fix disable call for wrapper script (Closes: #992032)
  * New upstream version 0.3.0
  * Bump standards-version to 4.5.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 15 Aug 2021 09:14:25 +0200
