=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                python3-all,
                python3-hypothesis,
                python3-matrix-nio,
@@ -11,17 +10,16 @@
                python3-pytest,
                python3-setuptools,
                python3-webcolors
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/poljar/weechat-matrix
 Vcs-Browser: https://salsa.debian.org/debian/weechat-matrix
 Vcs-Git: https://salsa.debian.org/debian/weechat-matrix.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: weechat-matrix
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         ${python3:Depends},
          python3-openssl,
          python3-webcolors,
          python3-future,
@@ -32,7 +30,7 @@
          python3-aiohttp,
          python3-magic,
          python3-requests,
-         weechat
+Recommends: weechat,
 Description: matrix plugin for weechat
  A Python plugin for Weechat that allows weechat to communicate
  over the Matrix protocol. Currently supports large parts of the
