=== debian/tests/control ===
Test-Command: make test
Depends: weechat-matrix, python3-pytest, make, @builddeps@
